Smart Proxy - Bug #18936

Download of OS specific kernel and initrd files should verify certificates
03/16/2017 10:01 AM - Dominic Schlegel

Status: Closed
Priority: Normal
Assignee: Anna Vitova
Category: TFTP
Target version:
Difficulty: trivial Fixed in Releases: 3.0.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/792
Description

The documentation https://theforeman.org/manuals/1.14/index.html#4.3.9TFTP mentions that the Download of OS specific kernel
and initrd files does not verify certificates. In particular step 5 of the work flow mentions the exact wget command:

wget —--no-check-certificate -nv -c <src> -0 "<destination>"

| can not imagine any reason why the option --no-check-certificate should be used. Therefore | suggest to remove it.
If there is a use case which is valid | suggest that the GUI offers a checkbox in the installation Media detail page that turns on/off the

certificate check.

Associated revisions

Revision 040da586 - 08/02/2021 08:06 AM - Anna Vitova
fixes #18936 - Check server certs in the TFTP module

History

#1 - 03/16/2017 10:02 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category set to TFTP

#2 - 07/08/2021 12:51 PM - Lukas Zapletal

- Difficulty set to trivial

- Triaged changed from No to Yes

#3 - 07/09/2021 09:06 AM - Lukas Zapletal

Let's add a new tftp.yaml setting named "verify_server_cert", when true the "--no-check-certificate" argument will be used.

#4 - 07/09/2021 09:13 AM - Lukas Zapletal

Interesting file to start with:

https://github.com/theforeman/smart-proxy/blob/fdeef1dcéfebcfae22c8d3273cb18d6bdeb31a23/config/settings.d/tftp.yml.example
https://github.com/theforeman/smart-proxy/blob/fdeef1dc6febcfae22c8d3273cb18d6bdeb31a23/modules/tftp/tftp_plugin.rb

https://github.com/theforeman/smart-proxy/blob/fdeef1dc6febcfae22c8d3273cb18d6bdeb31a23/modules/tftp/tftp _api.rb
https://github.com/theforeman/smart-proxy/blob/fdeef1dcéfebcfae22c8d3273cb18d6bdeb31a23/modules/titp/tftp_api.rb#L.72

#5 - 07/09/2021 09:14 AM - Dominic Schlegel

Lukas Zapletal wrote:

Let's add a new tftp.yaml setting named "verify_server_cert", when true the "--no-check-certificate" argument will be used.

That naming is confusing me. Shouldn't it be when "verify_server_cert" is set to false that the "--no-check-certificate" should be added?
https://theforeman.org/manuals/1.14/index.html#4.3.9TFTP
https://github.com/theforeman/smart-proxy/blob/fdeef1dc6febcfae22c8d3273cb18d6bdeb31a23/config/settings.d/tftp.yml.example
https://github.com/theforeman/smart-proxy/blob/fdeef1dc6febcfae22c8d3273cb18d6bdeb31a23/modules/tftp/tftp_plugin.rb
https://github.com/theforeman/smart-proxy/blob/fdeef1dc6febcfae22c8d3273cb18d6bdeb31a23/modules/tftp/tftp_api.rb
https://github.com/theforeman/smart-proxy/blob/fdeef1dc6febcfae22c8d3273cb18d6bdeb31a23/modules/tftp/tftp_api.rb#L72

#6 - 07/12/2021 05:05 AM - Lukas Zapletal

Correct, typing on a call is hard :-)

#7 - 07/20/2021 07:25 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/smart-proxy/pull/792 added

#8 - 07/21/2021 10:12 AM - Anna Vitova

- Assignee set to Anna Vitova

#9 - 08/02/2021 08:06 AM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#10 - 08/02/2021 08:08 AM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset 040da586908d48d193838fff703d77dab98fa3b2.
